Bug 869769 - (ccmake) DEL does not work in first column
(ccmake) DEL does not work in first column
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-24 14:58 EDT by Matthew Woehlke
Modified: 2012-11-27 00:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-27 00:32:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix bug (524 bytes, application/octet-stream)
2012-10-24 14:58 EDT, Matthew Woehlke
no flags Details
updated spec file to use patch (18.58 KB, application/octet-stream)
2012-10-24 14:58 EDT, Matthew Woehlke
no flags Details
updated spec file (with changelog) to use patch (18.72 KB, application/octet-stream)
2012-10-24 15:03 EDT, Matthew Woehlke
no flags Details

  None (edit)
Description Matthew Woehlke 2012-10-24 14:58:07 EDT
Created attachment 632933 [details]
patch to fix bug

Description of problem:
When editing a field in ccmake, the DEL key does not work in the first column.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run ccmake
2. select some field (not a BOOLEAN field) with a non-empty value
3. press ENTER to edit the field
4. press DEL to delete the first character of the field
Actual results:

Expected results:
First chatacter is deleted.

Additional info:
This is expected to be fixed upstream, but not until 2.8.11 or so. It would be nice if it worked on Fedora in the mean time. SRPM-ready patch attached.

Ustream bug report:
Comment 1 Matthew Woehlke 2012-10-24 14:58:47 EDT
Created attachment 632934 [details]
updated spec file to use patch
Comment 2 Matthew Woehlke 2012-10-24 15:03:13 EDT
Created attachment 632935 [details]
updated spec file (with changelog) to use patch
Comment 3 Orion Poplawski 2012-10-24 21:57:21 EDT
This really can't wait?  Can't you just backspace to clear the character?
Comment 4 Matthew Woehlke 2012-10-25 11:54:50 EDT
It can, but it's been annoying me for some time, and won't land upstream for some months... Depends how big a deal it is to patch, I guess. (Anyway, I've already rolled my own local 2.8.9-2 with the attached patch and .spec.)
Comment 5 Orion Poplawski 2012-10-25 12:06:23 EDT
I'll push it out with 2.8.10 when that is released.
Comment 6 Matthew Woehlke 2012-10-25 12:41:08 EDT
Sounds like a plan; thanks. (Especially as 2.8.10 should be out within two weeks at the outside; rc3 which is expected to be 'final' was released yesterday...)
Comment 7 Fedora Update System 2012-11-09 00:18:41 EST
cmake- has been submitted as an update for Fedora 18.
Comment 8 Fedora Update System 2012-11-09 16:09:25 EST
Package cmake-
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-11-27 00:32:28 EST
cmake- has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.